[WPE] The run-minibrowser script should allow to execute also a WPE launcher
authorclopez@igalia.com <clopez@igalia.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Thu, 15 Jun 2017 18:44:42 +0000 (18:44 +0000)
committerclopez@igalia.com <clopez@igalia.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Thu, 15 Jun 2017 18:44:42 +0000 (18:44 +0000)
commitfae1c3c064701af40e7f1a666d77287a9ab3368d
treeb8412bbc36f18c557604d9d832849f7b2ff03e0f
parent19ab5879db1a3225f606829dbb0bf7a3e394d400
[WPE] The run-minibrowser script should allow to execute also a WPE launcher
https://bugs.webkit.org/show_bug.cgi?id=173061

Reviewed by Žan Doberšek.

Launch dyz <https://github.com/Igalia/dyz> with the script
run-minibrowser for the wpe port. It is now built as part of the
WPE dependencies with JHBuild.

* Scripts/run-minibrowser:
* Scripts/webkitdirs.pm:
(launcherPath):
(launcherName):
* wpe/install-dependencies: Luajit is needed for building dyz.
* wpe/jhbuild.modules: Add dyz and update the revision for WPEBackend-mesa.

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@218344 268f45cc-cd09-0410-ab3c-d52691b4dbfc
Tools/ChangeLog
Tools/Scripts/run-minibrowser
Tools/Scripts/webkitdirs.pm
Tools/wpe/install-dependencies
Tools/wpe/jhbuild.modules